var site_area_ID_clicked; //Stores the last site_area_ID that was clicked			
			
			jQuery(document).ready(function($) {
				$('a[rel*=facebox]').facebox(); //Create facebox links (commenting links)

				$('.sitearea ul.comments li:odd').css({'background-color' : '#f2f8ff'}); //Initial striping				
				
				$(document).bind('reveal.facebox', function() {
					
					var site_area_ID = site_area_ID_clicked;
					
					$("#facebox #c"+site_area_ID+" input").unbind(); //Remove all bound buttons + rebind
					$("#facebox #c"+site_area_ID+" input").bind("click", function(e){
						
						var body = $('#facebox #c'+site_area_ID+' textarea').val();	//Get the message to post
						$('#facebox #c'+site_area_ID+' textarea').val(""); //Clear the button
						
						if(body.length>=1){ //Stop blank messages
							$.ajax({
							   type: "POST",
							   url: "/includes/jquery_facebox/comment.php",
							   data: "ID="+site_area_ID+"&body="+body,
							   success: function(msg){
								 if(msg.length>25)
									$("#c"+site_area_ID+" ul").append(msg); //Add to non-cloned ul and cloned ul
									
									$('#facebox #c'+site_area_ID+' ul li:odd').css({'background-color' : '#f2f8ff'});
									$('#facebox #c'+site_area_ID+' ul li:even').css({'background-color' : '#deeeff'});
									$('#facebox #c'+site_area_ID+' ul').attr({'scrollTop':$('#facebox #c'+site_area_ID+' ul').attr('scrollHeight')});
									
									$('.comment #counter'+site_area_ID).html($('#facebox #c'+site_area_ID+' ul li').size()); //Increment div.counter
	
							   }
							});
						}
						
					});		
	
				});


			});
			
			function setLastClicked(x){ //Set the site_area_ID when a comment box is triggered
				site_area_ID_clicked = x;
			}